Issue1732

classification
Title: Parse error on a simple for in loop
Type: Severity: normal
Components: Jythonc compiler Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: amak, bnoordhuis, fwierzbicki
Priority: Keywords:

Created on 2011-04-12.14:45:59 by bnoordhuis, last changed 2012-03-19.18:11:49 by fwierzbicki.

Messages
msg6479 (view) Author: Ben Noordhuis (bnoordhuis) Date: 2011-04-12.14:45:59
Consider this:

  for x in []:
    print x

Works fine with 2.5.2, produces a parse error with HEAD (rev 7285).

    File "for.py", line 2
      print x
            ^
  SyntaxError: mismatched input '<EOF>' expecting DEDENT
msg6753 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2012-01-03.01:26:08
I can't seem to reproduce this- Ben are you still seeing it? If so, what operating system and what version of the JVM are you on?
msg6826 (view) Author: Alan Kennedy (amak) Date: 2012-03-19.18:03:06
If the user doesn't supply any information which can indicate the circumstances in which this bug happens and under which it can be reproduced, it should be closed "out of date" or "invalid".
msg6829 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2012-03-19.18:11:49
Agreed - closing.
History
Date User Action Args
2012-03-19 18:11:49fwierzbickisetstatus: open -> closed
resolution: out of date
messages: + msg6829
2012-03-19 18:03:06amaksetnosy: + amak
messages: + msg6826
2012-01-03 01:26:08fwierzbickisetmessages: + msg6753
2011-04-12 17:15:01pjenveysetassignee: fwierzbicki
nosy: + fwierzbicki
2011-04-12 14:45:59bnoordhuiscreate